Last Comment Bug 733374 - WARNING: The two measurements of 'explicit' memory usage don't match
: WARNING: The two measurements of 'explicit' memory usage don't match
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: XPCOM (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Nathan Froyd [:froydnj]
Mentors:
Depends on: 859657
Blocks: 728990 729403
  Show dependency treegraph
 
Reported: 2012-03-06 07:01 PST by Mark Banner (:standard8, limited time in Dec)
Modified: 2013-04-15 20:17 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mark Banner (:standard8, limited time in Dec) 2012-03-06 07:01:35 PST
I've been hitting this on almost every Thunderbird run recently.

WARNING: The two measurements of 'explicit' memory usage don't match (23789568 vs 24051712): file /Users/moztest/comm/reviewcc/src/mozilla/xpcom/base/nsMemoryReporterManager.cpp, line 832

STR:

1) Build Thunderbird in debug mode
2) Run Thunderbird
3) Wait

Actual results: get a warning
Expected results: no warning.

I'm running Thunderbird using a clang build on 10.6.
Comment 1 Nicholas Nethercote [:njn] 2012-03-06 11:49:01 PST
I fixed this yesterday in a follow-up patch, see bug 729403 comment 8.  Please reopen if you still see it in updated builds.  Thanks!
Comment 2 Jesse Ruderman 2012-03-10 19:28:51 PST
Interesting that a heap-vs-nonheap mistakes triggers this warning, but doesn't trigger any assertions.  Are there (sound) assertions we could add to catch that kind of problem more quickly?
Comment 3 Nicholas Nethercote [:njn] 2012-03-11 13:44:43 PDT
(In reply to Jesse Ruderman from comment #2)
> Interesting that a heap-vs-nonheap mistakes triggers this warning, but
> doesn't trigger any assertions.  Are there (sound) assertions we could add
> to catch that kind of problem more quickly?

When everything is ok the test fails occasionally.  And when memory reporters have defects (like mixing up HEAP and NONHEAP) it fails every time.

I guess I could add a counter, and if the first N tests all fail, then trigger an assertion?
Comment 4 Nicholas Nethercote [:njn] 2013-04-14 22:20:25 PDT
Patch 3 in bug 859657 will remove this warning.
Comment 5 Nicholas Nethercote [:njn] 2013-04-15 20:17:31 PDT
> Patch 3 in bug 859657 will remove this warning.

It just landed.

Note You need to log in before you can comment on or make changes to this bug.